1. Carlos Ribeiro
  2. Radio Tray
  3. Issues
Issue #174 new

Latest build doesn't seem to run on linux mint 15 Cinnamon

Mark F
created an issue

Version 0.7.2 installed from ubuntu repositories runs fine but latest clone I just sucked down seems to be having issues or I'm missing a dependency I'm not aware of.

mark@linux:~/bin/radio-tray/src$ ./radiotray.py Traceback (most recent call last): File "./radiotray.py", line 6, in <module> from RadioTray import RadioTray File "/home/mark/bin/radio-tray/src/RadioTray.py", line 22, in <module> from AudioPlayerGStreamer import AudioPlayerGStreamer File "/home/mark/bin/radio-tray/src/AudioPlayerGStreamer.py", line 23, in <module> from gi.repository import Gobject, Gst File "/usr/lib/python2.7/dist-packages/gi/init.py", line 27, in <module> from ._gi import _API, Repository ImportError: could not import gobject (error was: ImportError('When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.repository import GObject".',))

A bit of googling hit this thread: http://askubuntu.com/questions/125354/python-gtk3-and-gstreamer

I'm running a fresh unmolested version of Linux mint 15 installed a few weeks ago.

I can do some debugging of the source if somebody can tell me what to start looking at.

thank you

Comments (3)

  1. Mark F reporter

    I recently tested that same code pull on Linux Mint 15 (Mate) and it works ok. After reading some of the other comments here I have a feeling the Cinnamon distribution of mint must be using the new GStreamer libraries but not Mate.

    I can't explain why the older version 0.7.2 you can install from synaptic software manager works on Cinnamon.

  2. Log in to comment